<?php
date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];
 

		include('../conexion.php'); 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v'){
		}else{
			header('location:acceso_denegado.php');
		}


$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
 $nomb = $row["usu"];
 $cod  = $row["codusu"];
 
 
		
$accion=$_POST["accion"];
if (!isset($accion)) { $accion=$_GET["accion"]; }

$numajutmp  = $_POST["numajutmp"];
$numaju     = $_POST["numaju"];
if (!isset($_POST["detaju"])) { $detaju=""; } else  { $detaju  = strtoupper($_POST["detaju"]); }
if (!isset($_POST["dscaju"])) { $dscaju=""; } else  { $dscaju  = strtoupper($_POST["dscaju"]); }
//$cdgtipaju  = $_POST["combotipoajuste"];

$fecha   = date("Y-m-d");
$cob_iv  = $_POST["cob_iv"];
$cdgusu  = $cod;
$subexe  = 0;
$subgra  = 0;
$baseimponible = 0;
$baseimpuestos = 0;
$basedescuento = 0;




$minimo=0;

		/*
	   $consulta = "SELECT cdgtipaju,accaju FROM tipo_ajuste WHERE cdgtipaju='$cdgtipaju'";
       $resultado = $mysqli->query($consulta);
       $row = $resultado->fetch_array();
        $aplicar = $row["accaju"];
	*/

if ($accion=="alta") {

 ////////////////////////////////////////////////////   insert Ajuste en el encabezado /////////////////////////////////


 $query_operacion="INSERT INTO lista_precios (codaju, fecaju,  detaju, borrado, cdgtipaju , dscaju, cdgusu, numaju ) VALUES ('', '$fecha',  '$detaju', '0' , '','$dscaju','$cdgusu','$numaju')";				
	$mysqli->query($query_operacion);
	$codaju= $mysqli-> insert_id ;
	
			
		$query_tmp = "SELECT * FROM lista_precios_lineas_tmp WHERE codajuste='$numajutmp' ORDER BY numlinea ASC";
    if ($resultado2 = $mysqli->query($query_tmp)) 
	$contador=0;
    while ($fila2 = $resultado2->fetch_assoc()) {
		
        $numlinea = $fila2["numlinea"];
        $codigo   = $fila2["codigo"];
        $dscart   = $fila2["dscart"];
		$cantidad = $fila2["cantidad"];
		$preivi   = $fila2["preivi"];	
	    $importe  = $fila2["importe"];
	    $impuesto = $fila2["impuesto"];
		$mondes   = $fila2["mondes"];
		$dcto     = $fila2["dcto"];	
	
	
	if ($impuesto==0){
		
		$subexe=$subexe+$importe;
	    $preivi2=$importe;
		 } else {
		 
		 $subgra=$subgra+$importe;
		 $preivi2=$importe+$impuesto;
		 }
		 
	
		$baseimponible=$baseimponible+$importe;
	  	     
		$baseimpuestos=$baseimpuestos+$impuesto;
		    
		$basedescuento=$basedescuento+$mondes;
		
		$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
		 

	
		$sel_insertar="INSERT INTO lista_precios_lineas (codajuste,dscart,numlinea,codigo,cantidad,preivi,importe,dcto,mondes,impuesto,fecaju) VALUES 
		('$codaju','$dscart','$numlinea','$codigo','$cantidad','$preivi','$importe','$dcto','$mondes','$impuesto','$fecha')";
		$mysqli->query($sel_insertar);	
		



	
		$contador++;
	}
	
	
	$sel_act="UPDATE lista_precios SET subtot='$baseimponible', impven='$baseimpuestos', totalajuste='$preciototal' WHERE codaju='$codaju'";
	$mysqli->query($sel_act);
	$baseimpuestos=0;
	$baseimponible=0;
	$cabecera1="Inicio >> Ventas &gt;&gt; Nuevo Ajuste ";
	$cabecera2="Transacción satisfactoria";
	
	
	$consulta1 = "DELETE FROM lista_precios_lineas_tmp  WHERE codajuste='$numajutmp'";
	$mysqli->query($consulta1);
	
		}
		 
	if ($accion=="alta"){



?>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="es" lang="es">
  <head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

		<title>Principal</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
	
	    <script src="../src/js/jscal2.js"></script>
        <script src="../src/js/lang/en.js"></script>
    <link rel="stylesheet" type="text/css" href="../src/css/jscal2.css" />
    <link rel="stylesheet" type="text/css" href="../src/css/border-radius.css" />
    <link rel="stylesheet" type="text/css" href="../src/css/steel/steel.css" />
    <style type="text/css">
<!--
.Estilo1 {color: #000000}
-->
    </style>
</head>
	<script type="text/javascript" src="js/jquery-1.3.2.min.js"></script>

	<script type="text/javascript">

			
							///////////////////////////////////////////////////////MASCARA NUMERICA //////////////////////////////////////////////


		function aceptar() {
			location.href="index.php?cadena_busqueda=<?php echo $cadena_busqueda?>";
		}
			
	

function imprimir(codaju) {
		window.open("../fpdf/imprimir_ajuste_TERMICA.php?codaju="+codaju);
	
		}	
        </script>



	</head>

	<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function aceptar() {
			location.href="index.php";
		}
		
		function imprimir(codaju) {
		//	window.open("../fpdf/imprimir_factura.php?codfactura="+codfactura);
		//window.open("../fpdf/imprimir_ajuste_PUNTO_VENTA.php?codaju="+codaju);
		//window.open("../fpdf/imprimir_factura_PUNTO_VENTA.php?codfactura="+codfactura);
		
		//parent.location.href="index.php";
		}
		
		
function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
		
		</script>
<?php 
		

	
echo "<script>";
//echo "imprimir($codaju);";
echo "</script>";	

}
	
				  
	?>				  
					  
</head>
	<body onLoad="nobackbutton();">
		<div id="">
			<div id="zonaContenido">
         	<div class="contenidoFactura">
			   <div align="center">
				<div id="tituloForm" class="header">
               Operacion Completada satisfactoriamente
			   </div>
			    <br> </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			    
			  </div>
				<div id="botonBusquedaAWR">					
				
				<div id="" align="center">
					<img src="../img/Symbol-Check_128x128-32.png" width="128" height="128" onClick="aceptar()" border="0" onMouseOver="style.cursor=cursor" title="Salir">
			
			  </div>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>



  <?php
echo "<script>";
//echo "aceptar();";
echo "</script>";	
   ?> 
  
					